[blfs-dev] qca-2.2.0

Bruce Dubbs bruce.dubbs at gmail.com
Wed Apr 17 14:32:26 PDT 2019


I have a problem with trying to update to qca-2.2.0 and I'm hoping I can 
get someone to take a look to see if I am missing anything.

I am building with:

sed -i 's at ca-bundle.pem@ca-bundle.crt@' CMakeLists.txt &&

     mkdir build &&
     cd    build &&

     cmake -DCMAKE_INSTALL_PREFIX=/usr \
           -DCMAKE_BUILD_TYPE=Release  \
           -DQCA_FEATURE_INSTALL_DIR=/usr/share/mkspecs/features \
           ..                          &&

     make -j4

So far, so good.

The problem is that with 'make test' I get two failures:


4/24 Test  #4: SymmetricCipher ..................Child aborted***Exception:

18/24 Test #18: PGP ..............................***Failed

Test 18 pops up a window asking for a passphrase, but nothing I try 
seems to work.


Another problem is if I do a 'make install' I get a file in 
/usr/certs/rootcerts.pem and there seems to be no configuration file to 
change that location.  (But it may possibly be -DQCA_SYSTEMSTORE_PATH)

The rootcerts.pem file is created by the mozcerts-qt5 program apparently 
at install time, but I don't know how it is used.

Note:  The only thing we use qca for is okular (optional) and plasma 
(required).

   -- Bruce



More information about the blfs-dev mailing list